--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/df/tve1_1900.h	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/df/tve1_1900.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,64 @@
+
+#ifndef _CSM_TVE1_H
+#define _CSM_TVE1_H
+
+//1TVE1
+
+#define  TVE1_REG_NUM		(49)
+#define  TVE1_TYPE_TOTAL  	(13)
+
+//dont change this table
+static unsigned char TVE1_REG[TVE1_REG_NUM][TVE1_TYPE_TOTAL] =
+{
+/*      address ntsc  pal   PAL_M PAL-N PAL-CN SECAM 480p  720p50 720p60 1080i25 1080i30 */
+/*0*/   {0x00,  0x00, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_SOFT_RESET_VAL
+/*1*/   {0x01,  0x50, 0x51, 0x50, 0x50, 0x50,  0x50, 0x50, 0x50,  0x50,  0x50,   0x50    }, //CVE_REV_ID_VAL
+/*2*/   {0x02,  0x1d, 0x11, 0x11, 0x1d, 0x1d,  0x1d, 0x1d, 0x1d,  0x1d,  0x1d,   0x1d    }, //CVE_INPUT_CTL_VAL
+/*3*/   {0x04,  0x09, 0x09, 0x09, 0x09, 0x09,  0x09, 0x09, 0x09,  0x09,  0x09,   0x09    }, //CVE_OUT_CTL_VAL
+/*4*/   {0x06,  0x01, 0x01, 0x01, 0x01, 0x01,  0x01, 0x01, 0x01,  0x01,  0x01,   0x01    }, //CVE_SLV_MD_TH_VAL
+/*5*/   {0x07,  0x00, 0x04, 0x24, 0x24, 0x34,  0x3C, 0x01, 0x03,  0x03,  0x02,   0x01    }, //CVE_VID_STD_VAL
+/*6*/   {0x08,  0x02, 0x02, 0x02, 0x02, 0x02,  0x02, 0x02, 0x02,  0x02,  0x04,   0x02    }, //CVE_NUM_LINES_H_VAL
+/*7*/   {0x09,  0x0d, 0x71, 0x0D, 0x71, 0x71,  0x71, 0x0D, 0xEE,  0xEE,  0x65,   0x0D    }, //CVE_NUM_LINES_L_VAL
+/*8*/   {0x0a,  0x15, 0x17, 0x15, 0x17, 0x17,  0x17, 0x2a, 0x19,  0x19,  0x14,   0x2c    }, //CVE_FST_VID_LINE_VAL
+/*9*/   {0x0b,  0x7e, 0x7e, 0x7e, 0x7e, 0x7e,  0x7e, 0x7e, 0x40,  0x50,  0x66,   0xC0    }, //CVE_HSYNC_WIDTH_VAL
+/*10*/  {0x0d,  0x76, 0x80, 0x76, 0x8a, 0x8a,  0x8a, 0x68, 0xdc,  0xd0,  0x80,   0x60    }, //CVE_BACK_PORCH_VAL
+/*11*/  {0x0e,  0x00, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x01,  0x00,  0x00,   0x00    }, //CVE_FRONT_PORCH_H_VAL
+/*12*/  {0x0f,  0x20, 0x28, 0x20, 0x18, 0x18,  0x18, 0x32, 0xb8,  0x48,  0x40,   0x20    }, //CVE_FRONT_PORCH_L_VAL
+/*13*/  {0x10,  0x05, 0x05, 0x05, 0x05, 0x05,  0x05, 0x05, 0x05,  0x05,  0x07,   0x05    }, //CVE_ACTIVELINE_H_VAL
+/*14*/  {0x11,  0xa0, 0x9a, 0xa0, 0xa0, 0xa0,  0xa0, 0x9c, 0x00,  0x0a,  0x80,   0x00    }, //CVE_ACTIVELINE_L_VAL
+/*15*/  {0x12,  0x44, 0x40, 0x44, 0x40, 0x44,  0x40, 0x44, 0x08,  0x08,  0x08,   0x44    }, //CVE_BURST_WDITH_VAL
+/*16*/  {0x13,  0x16, 0x1a, 0x12, 0x1a, 0x1a,  0x1a, 0x16, 0x08,  0x08,  0x08,   0x16    }, //CVE_BREEZE_WAY_VAL
+/*17*/  {0x16,  0x10, 0x15, 0x10, 0x10, 0x10,  0x14, 0x15, 0x15,  0x15,  0x15,   0x15    }, //CVE_CHROMA_FREQ_3_VAL
+/*18*/  {0x17,  0xf8, 0x04, 0xF3, 0xFB, 0xFB,  0xE3, 0x04, 0x04,  0x04,  0x04,   0x04    }, //CVE_CHROMA_FREQ_2_VAL
+/*19*/  {0x18,  0x3e, 0xc5, 0x77, 0x4A, 0x4A,  0x8E, 0xc5, 0xc5,  0xc5,  0xc5,   0xC5    }, //CVE_CHROMA_FREQ_1_VAL
+/*20*/  {0x19,  0x0f, 0x66, 0xD0, 0x33, 0x23,  0x39, 0x66, 0x66,  0x66,  0x66,   0x66    }, //CVE_CHROMA_FREQ_0_VAL
+/*21*/  {0x1a,  0x14, 0x14, 0x14, 0x14, 0x00,  0x14, 0x14, 0x14,  0x14,  0x14,   0x14    }, /*freq2*/
+/*22*/  {0x1b,  0x25, 0x25, 0x25, 0x00, 0x00,  0x25, 0x25, 0x25,  0x25,  0x25,   0x25    },
+/*23*/  {0x1c,  0xed, 0xed, 0xed, 0x00, 0x00,  0xed, 0xed, 0xed,  0xed,  0xed,   0xED    },
+/*24*/  {0x1d,  0x09, 0x09, 0x09, 0x00, 0x00,  0x09, 0x09, 0x09,  0x09,  0x09,   0x09    },
+/*25*/  {0x1e,  0x00, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_CHROMA_PHASE_VAL
+/*26*/  {0x1f,  0x00, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_TINT_VAL
+/*27*/  {0x20,  0x14, 0x04, 0x04, 0x04, 0x04,  0x04, 0x04, 0x04,  0x04,  0x04,   0x04    }, //CVE_NA_WI_CH_CH_CP_VAL
+/*28*/  {0x21,  0x44, 0x30, 0x2a, 0x2a, 0x2c,  0x00, 0x30, 0x30,  0x30,  0x30,   0x30    }, //CVE_CB_BURST_AMP_VAL
+/*29*/  {0x22,  0x00, 0x24, 0x1d, 0x1d, 0x1f,  0x00, 0x24, 0x24,  0x24,  0x24,   0x24    }, //CVE_CR_BURST_AMP_VAL
+/*30*/  {0x23,  0xcd, 0x94, 0xcc, 0xa2, 0xa2,  0xa2, 0xb8, 0xb8,  0xb8,  0xb8,   0xD4    }, //CVE_CB_GAIN_VAL
+/*31*/  {0x24,  0xcd, 0x94, 0xcc, 0xa2, 0xa2,  0xa2, 0xb8, 0xb8,  0xb8,  0xb8,   0xD0    }, //CVE_CR_GAIN_VAL
+/*32*/  {0x27,  0x03, 0x03, 0x02, 0x02, 0x02,  0x02, 0x02, 0x02,  0x02,  0x02,   0x03    }, //CVE_WHITE_LEVEL_H_VAL
+/*33*/  {0x28,  0x20, 0x20, 0xc6, 0x80, 0xf8,  0xf8, 0xf8, 0xf8,  0xf8,  0xf8,   0x28    }, //CVE_WHITE_LEVEL_L_VAL
+/*34*/  {0x29,  0x01, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_BLACK_LEVEL_H_VAL
+/*35*/  {0x2a,  0x1a, 0xfb, 0xb0, 0xb0, 0xb0,  0xb0, 0xb0, 0xfb,  0xfb,  0xb0,   0xB0    }, //CVE_BLACK_LEVEL_L_VAL
+/*36*/  {0x2b,  0x00, 0x00, 0x01, 0x01, 0x01,  0x01, 0x01, 0x01,  0x01,  0x01,   0x01    }, //CVE_BLANK_LEVEL_H_VAL
+/*37*/  {0x2c,  0xf0, 0xfb, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_BLANK_LEVEL_L_VAL
+/*38*/  {0x2d,  0x00, 0x00, 0x01, 0x01, 0x01,  0x01, 0x01, 0x01,  0x01,  0x01,   0x01    }, //CVE_VBI_BLANK_LEVEL_H_VAL
+/*39*/  {0x2e,  0xf0, 0xfb, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_VBI_BLANK_LEVEL_L_VAL
+/*40*/  {0x2f,  0x01, 0x01, 0x01, 0x01, 0x01,  0x01, 0x01, 0x01,  0x01,  0x01,   0x01    }, //CVE_CLAMP_LEVEL_H_VAL
+/*41*/  {0x30,  0x00, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_CLAMP_LEVEL_L_VAL
+/*42*/  {0x31,  0x10, 0x10, 0x10, 0x10, 0x10,  0x10, 0x10, 0x10,  0x10,  0x10,   0x10    }, //CVE_SYNC_LEVEL_VAL
+/*43*/  {0x33,  0x01, 0x01, 0x01, 0x01, 0x01,  0x01, 0x01, 0x01,  0x01,  0x01,   0x01    }, //CVE_SYNC_HIGH_LEVEL_H_VAL
+/*44*/  {0x34,  0xeb, 0xeb, 0xeb, 0xeb, 0xeb,  0xeb, 0xeb, 0xeb,  0xeb,  0xeb,   0xEB    }, //CVE_SYNC_HIGH_LEVEL_L_VAL
+//*45*/ {0x37,  0x09, 0x08, 0x08, 0x08, 0x08,  0x08, 0x15, 0x15,  0x15,  0x15,   0x15    }, //CVE_NOTCH_EN_WI_FR_VAL
+//*46*/ {0x38,  0x00, 0x00, 0x00, 0x00, 0x00,  0x00, 0x00, 0x00,  0x00,  0x00,   0x00    }, //CVE_NO_SH_NO_VAL
+//*47*/ {0x39,  0x05, 0x05, 0x05, 0x05, 0x05,  0x05, 0x05, 0x05,  0x05,  0x05,   0x05    }, //CVE_NOISE_THRESHOLD_VAL
+//*48*/ {0x3a,  0x0a, 0x0a, 0x0a, 0x0a, 0x0a,  0x0a, 0x0a, 0x0a,  0x0a,  0x0a,   0x0A    }, //CVE_SHARPEN_THRESHOLD_VAL
+};
+#endif
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/blit_cmd_reg_def.h linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/blit_cmd_reg_def.h
--- linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/blit_cmd_reg_def.h	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/blit_cmd_reg_def.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,319 @@
+/*******************************************************************************
+
+File name   : blit_cmd_reg_def.h
+
+Description : blitter defs head file
+
+COPYRIGHT (C) Celestial Semiconductor 2000.
+
+Date               Modification                                     Name
+----               ------------                                     ----
+20 Jun 2000        Created                                           XM.Chen
+*******************************************************************************/
+
+#ifndef _BLIT_CMD_REG_DEF_H_
+#define _BLIT_CMD_REG_DEF_H_
+
+/* C++ support */
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+typedef enum _BLIT_COLOR_BIT_WIDTH_   //ARGB8565
+{
+	BLIT_ALPHA_BIT_WIDTH = 8,
+	BLIT_RED_BIT_WIDTH   = 5,
+	BLIT_GREEN_BIT_WIDTH = 6,
+	BLIT_BLUE_BIT_WIDTH  = 5,
+} BLIT_COLOR_BIT_WIDTH;
+
+typedef enum _CLUT_CONST_
+{
+	CLUT4_TABLE_LEN  = 16,
+	CLUT8_TABLE_LEN  = 256,
+} CLUT_CONST;
+
+typedef enum _BLIT_COMMAND_INDEX_
+{
+    CMD_STARTUP            = 0x00 ,
+    CMD_S0_ADDR_INFO       = 0x04 ,
+    CMD_S0_ADDR_INFO_L     = 0x05 ,
+    CMD_S0_FORMAT          = 0x06 ,
+    CMD_S0_FORMAT_L        = 0x07 ,
+    CMD_S0_COLOR_KEY_MIN   = 0x08 ,
+    CMD_S0_COLOR_KEY_MAX   = 0x0A ,
+    CMD_S1_ADDR_INFO       = 0x0C ,
+    CMD_S1_ADDR_INFO_L     = 0x0D ,
+    CMD_S1_FORMAT          = 0x0E ,
+    CMD_S1_FORMAT_L        = 0x0F ,
+    CMD_S1_COLOR_KEY_MIN   = 0x10 ,
+    CMD_S1_COLOR_KEY_MAX   = 0x12 ,
+    CMD_D_ADDR_INFO        = 0x14 ,
+    CMD_D_ADDR_INFO_L      = 0x15 ,
+    CMD_D_FORMAT           = 0x16 ,
+    //CMD_PIXEL_MAP          = 0x18 ,
+    CMD_PIXEL_NUM_PER_LINE = 0x18,
+    CMD_TOTAL_LINE_NUM     = 0x19,    
+
+    CMD_ENDIAN_CTRL        = 0x1A ,
+    CMD_CLUT4_TAB          = 0x1C ,
+    CMD_CLUT4_IDX          = 0x1D ,
+    CMD_CLUT8_TAB          = 0x1E ,
+    CMD_CLUT8_IDX          = 0x1F ,
+
+    //SCALOR Related
+    CMD_SCALOR_S_PIXEL_NUM_PER_LINE = 0x30,
+    CMD_SCALOR_S_TOTAL_LINE_NUM     = 0x31,
+    CMD_SCALOR_INITIAL_PHASE        = 0x38,
+    CMD_HFIR_COEFFICIETN_DATA       = 0x3B,
+    CMD_VFIR_COEFFICIETN_DATA       = 0x3D,
+    CMD_VALID_MAX,
+    
+} BLIT_COMMAND_INDEX;
+
+typedef enum _BLIT_REG_STATUS_FORMAT_
+{
+	BLIT_STATUS_BIT     = 0,
+	BLIT_INT_STATUS_BIT = 1,
+	BLIT_ERR_BIT        = 2,
+	BLIT_AHB_ERR_BIT    = 3, 
+}BLIT_REG_STATUS_FORMAT;
+
+typedef enum _BLIT_REG_CMDQUE_EMPTY_CNT_FORMAT_
+{
+	BLIT_REG_CMDQUE_EMPTY_CNT_LSB   = 0,
+	BLIT_REG_CMDQUE_EMPTY_CNT_WIDTH = 9,	
+}BLIT_REG_CMDQUE_EMPTY_CNT_FORMAT;
+
+typedef enum _COMPOSITOR_OPT_FORMAT_
+{
+	COMPOSITOR_ENABLE_BIT  = 3,
+	ROP_ENABLE_BIT         = 3,
+	S0_ON_TOP_S1_BIT       = 0,
+}COMPOSITOR_OPT_FORMAT;
+
+typedef enum _S_OPT_FORMAT_
+{
+	S_ENABLE_BIT          = 3,
+	S_COLORKEY_ENABLE_BIT = 2,
+	S_CLUT_ENABLE_BIT     = 1,
+	S_FETCH_DATA_BIT      = 0,	
+}S_OPT_FORMAT;
+typedef enum _S_SCAN_CTRL_FORMAT_
+{
+	S0_REVERSE_SCAN_BIT   = 0,
+	S1_REVERSE_SCAN_BIT   = 1,
+	D_REVERSE_SCAN_BIT    = 2,
+}S_SCAN_CTRL_FORMAT;
+
+typedef enum _ENDIAN_CTRL_FORMAT_
+{
+	ENDIAN_ENABLE_BIT   =  3,//Global no Enable Bit
+	TWO_BYTE_ENDIAN_BIT =  2,
+	NIBBLE_ENDIAN_BIT   =  1,
+	BYTE_ENDIAN_BIT     =  0,	
+}ENDIAN_CTRL_FORMAT;
+
+typedef enum _BLIT_REG_FORMAT_
+{
+	REG_INFO_CMD_CNT_WIDTH   =  4,
+	REG_INFO_CMD_CNT_LSB     = 28,
+	
+	REG_ENDIAN_CTRL_D_WIDTH  =  3,
+	REG_ENDIAN_CTRL_D_LSB    =  0,
+	REG_ENDIAN_CTRL_S1_WIDTH =  3,
+	REG_ENDIAN_CTRL_S1_LSB   =  3,
+	REG_ENDIAN_CTRL_S0_WIDTH =  3,
+	REG_ENDIAN_CTRL_S0_LSB   =  6,		
+	
+}BLIT_REG_FORMAT;
+
+typedef enum _BLIT_CMD_FORMAT_
+{
+	//ALL
+	CMD_IDX_WIDTH =  8,
+	CMD_IDX_LSB   = 24,  //Start up Bit
+	//CMD_STARTUP
+	SCAN_CTRL_WIDTH  =  4,
+	SCAN_CTRL_LSB    = 20,
+	S0_SCAL_ENA_BIT  = 17, 
+	INT_ENABLE_WIDTH =  1,
+	INT_ENABLE_LSB   = 16,
+	ROP_ALPHA_CTRL_WIDTH = 2,
+	ROP_ALPHA_CTRL_LSB   = 18,
+	ROP_VAL_WIDTH    =  4,
+	ROP_VAL_LSB      = 12,
+	CMP_OPT_WIDTH    =  4,//Compositor Operation
+	CMP_OPT_LSB      =  8,
+	S1_OPT_WIDTH     =  4,
+	S1_OPT_LSB       =  4,
+	S0_OPT_WIDTH     =  4,
+	S0_OPT_LSB       =  0, 
+	
+	//CMD_XX_FORMAT    
+	CMD_FORMAT_WIDTH        =  4,
+	CMD_FORMAT_LSB          =  0,
+	CMD_FORMAT_ALPHA0_LSB   =  8,
+	CMD_FORMAT_ALPHA0_WIDTH =  8,
+	CMD_FORMAT_ALPHA1_LSB   = 16,
+	CMD_FORMAT_ALPHA1_WIDTH =  8,
+
+	CMD_FORMAT_ALPHA0_MIN_LSB   =  8,
+	CMD_FORMAT_ALPHA0_MIN_WIDTH =  8,
+	CMD_FORMAT_ALPHA0_MAX_LSB   = 16,
+	CMD_FORMAT_ALPHA0_MAX_WIDTH =  8,
+	
+
+	//CMD_XX_ADDR_INFO
+	CMD_SKIP_PIXEL_WIDTH =  1,
+	CMD_SKIP_PIXEL_LSB   = 16,
+	CMD_PITCH_WIDTH      = 16,
+	CMD_PITCH_LSB        =  0,
+
+	//CMD_XX_COLOR_KEY_MAX
+	//CMD_XX_COLOR_KEY_MIN
+	//CMD_XX_DEFAULT_COLOR
+	CMD_ALPHA_WIDTH     =  8,
+	CMD_ALPHA_LSB       = 24,
+	CMD_RED_WIDTH       =  8,
+	CMD_RED_LSB         = 16,
+	CMD_GREEN_WIDTH     =  8,
+	CMD_GREEN_LSB       =  8,
+	CMD_BLUE_WIDTH      =  8,
+	CMD_BLUE_LSB        =  0,
+
+	//CMD_PIXEL_MAP
+	CMD_LPIXEL_NUM_WIDTH = 16,
+	CMD_LPIXEL_NUM_LSB   = 0,
+	CMD_LINE_NUM_WIDTH   = 16,
+	CMD_LINE_NUM_LSB     =  0,
+	
+	//CMD_CLUT4_IDX
+	CMD_CLUT4_IDX_WIDTH  =  4,
+	CMD_CLUT4_IDX_LSB    =  0,
+	
+	//CMD_CLUT8_IDX	
+	CMD_CLUT8_IDX_WIDTH  =  8,
+	CMD_CLUT8_IDX_LSB    =  0,
+	
+	//CMD_ENDIAN_CTRL
+	//Extend for S0 and S1 and D ENDIAN
+	CMD_GLOBAL_ENDIAN_WIDTH   =  3,
+	CMD_GLOBAL_ENDIAN_LSB     =  0,
+
+	CMD_S0_ENDIAN_WIDTH       =  4,
+	CMD_S0_ENDIAN_LSB         =  4,
+
+	CMD_S1_ENDIAN_WIDTH       =  4,
+	CMD_S1_ENDIAN_LSB         =  8,
+
+	CMD_D_ENDIAN_WIDTH        =  4,
+	CMD_D_ENDIAN_LSB          = 12,
+
+	//CMD_SCALOR_INITIAL_PHASE
+	CMD_SCALOR_V_INIT_PHASE_WIDTH = 3,
+	CMD_SCALOR_V_INIT_PHASE_LSB   = 8,
+	CMD_SCALOR_H_INIT_PHASE_WIDTH = 3,
+	CMD_SCALOR_H_INIT_PHASE_LSB   = 0,
+
+	//CMD_HFIR_COEFFICIETN_DATA
+	//CMD_VFIR_COEFFICIETN_DATA
+	CMD_FIR_COEFF_PHASE_IDX_WIDTH =  3,
+	CMD_FIR_COEFF_PHASE_IDX_LSB   = 20,
+	CMD_FIR_COEFF_TAP_IDX_WIDTH   =  2,
+	CMD_FIR_COEFF_TAP_IDX_LSB     = 16,
+	CMD_FIR_COEFF_VALUE_WIDTH     = 16,
+	CMD_FIR_COEFF_VALUE_LSB       =  0,
+}BLIT_CMD_FORMAT;
+
+
+#define SCALOR_FIR_COEFF_RED_REG_AVAILABLE (0)
+//Register Define
+typedef enum _BLIT_REG_ADDR_DEF_
+{
+// Register address
+  BLIT_REG_CMD_QUE                = 0x000000 << 2          , // 32'b4000_0000
+  BLIT_REG_STATUS                 = 0x000001 << 2         , // 32'b4000_0004
+  BLIT_REG_CMDQUE_EMPTY_CNT       = 0x000002 << 2         , // 32'b4000_0008
+  BLIT_REG_CMD_INFO               = 0x000003 << 2         , // 32'b4000_000C
+  BLIT_REG_CLUT_IDX               = 0x000004 << 2         , // 32'b4000_0010
+  BLIT_REG_CLUT_ENTRY             = 0x000005 << 2         , // 32'b4000_0014
+  BLIT_REG_S0_ADDR                = 0x000008 << 2         , // 32'b4000_0020
+  BLIT_REG_S0_LINE_PITCH          = 0x000009 << 2         , // 32'b4000_0024
+  BLIT_REG_S0_SKIP_PIXEL          = 0x00000A << 2         , // 32'b4000_0028
+  BLIT_REG_S0_COLOR_FORMAT        = 0x00000B << 2         , // 32'b4000_002C
+  BLIT_REG_S0_COLOR_KEY_MIN       = 0x00000C << 2         , // 32'b4000_0030
+  BLIT_REG_S0_COLOR_KEY_MAX       = 0x00000D << 2         , // 32'b4000_0034
+  BLIT_REG_S0_DEFAULT_COLOR       = 0x00000E << 2         , // 32'b4000_0038
+  BLIT_REG_S1_ADDR                = 0x00000F << 2         , // 32'b4000_003C
+  BLIT_REG_S1_LINE_PITCH          = 0x000010 << 2         , //  32'b4000_0040
+  BLIT_REG_S1_SKIP_PIXEL          = 0x000011 << 2         , //  32'b4000_0044
+  BLIT_REG_S1_COLOR_FORMAT        = 0x000012 << 2         , //  32'b4000_0048
+  BLIT_REG_S1_COLOR_KEY_MIN       = 0x000013 << 2         , //  32'b4000_004C
+  BLIT_REG_S1_COLOR_KEY_MAX       = 0x000014 << 2         , //  32'b4000_0050
+  BLIT_REG_S1_DEFAULT_COLOR       = 0x000015 << 2         , //  32'b4000_0054
+  BLIT_REG_D_ADDR                 = 0x000016 << 2         , //  32'b4000_0058
+  BLIT_REG_D_LINE_PITCH           = 0x000017 << 2         , //  32'b4000_005C
+  BLIT_REG_D_SKIP_PIXEL           = 0x000018 << 2         , //  32'b4000_0060
+  BLIT_REG_D_COLOR_FORMAT         = 0x000019 << 2         , //  32'b4000_0064
+  BLIT_REG_PIXEL_NUM_PER_LINE     = 0x00001A << 2         , //  32'b4000_0068
+  BLIT_REG_TOTAL_LINE_NUM         = 0x00001B << 2         , //  32'b4000_006C
+  BLIT_REG_ENDIAN_CTRL            = 0x00001C << 2         , //  32'b4000_0070
+  BLIT_REG_INT_CLEAR              = 0x00001D << 2         , //  32'b4000_0074
+  BLIT_REG_SW_RESET               = 0x00001E << 2         , //  32'b4000_0078
+	//Scalor Related Register
+  BLIT_REG_S0_PIXEL_NUM_PER_LINE  = 0x000020 << 2         , //  32'b4000_0080
+  BLIT_REG_S0_TOTAL_LINE_NUM      = 0x000021 << 2         , //  32'b4000_0084
+  
+  BLIT_REG_SCALOR_HORIZONTAL_INITIAL_PHASE
+                                 = 0x000022 << 2         , //  32'b4000_0088
+  BLIT_REG_SCALOR_VERTICAL_INITIAL_PHASE
+                                 = 0x000023 << 2         , //  32'b4000_008C
+#if SCALOR_FIR_COEFF_RED_REG_AVAILABLE                                 
+  //For Orion 1.4 Version SCalor FIR Coefficient Read not available in HW GfxCore
+  BLIT_REG_SCALER_HORIZONTAL_FIR_COEFFICIENT
+                                 = 0x000024 << 2         , //  32'b4000_0090
+  BLIT_REG_SCALER_VERTICAL_FIR_COEFFICIENT
+                                 = 0x000025 << 2         , //  32'b4000_0094
+#endif
+}BLIT_REG_ADDR_DEF;
+
+typedef enum _BLIT_REG_MASK_
+{
+	BLIT_COLOR_REG_MASK = ~((((1 << (CMD_ALPHA_WIDTH - BLIT_ALPHA_BIT_WIDTH)) - 1) << CMD_ALPHA_LSB) |
+		                   (((1 << (CMD_RED_WIDTH   - BLIT_RED_BIT_WIDTH  )) - 1) << CMD_RED_LSB  ) |
+		                   (((1 << (CMD_GREEN_WIDTH - BLIT_GREEN_BIT_WIDTH)) - 1) << CMD_GREEN_LSB) |
+		                   (((1 << (CMD_BLUE_WIDTH  - BLIT_BLUE_BIT_WIDTH )) - 1) << CMD_BLUE_LSB ) ),
+}BLIT_REG_MASk;
+
+
+typedef enum _BLIT_SCALOR_CONST_
+{
+	SCALOR_H_FIR_TAP_NUM            = 4,//Max >=2
+	SCALOR_V_FIR_TAP_NUM            = 2,
+	SCALOR_COEFF_FRACTION_BIT_WIDTH = 10,//
+	SCALOR_COEFF_INTREGER_BIT_WIDTH = 1,
+	SCALOR_COEFF_POLARITY_BIT       = 15,
+	
+	SCALOR_PAHSE_BIT_WIDTH          = 3,
+	SCALOR_PAHSE_NUM                = (1 << SCALOR_PAHSE_BIT_WIDTH),
+	SCALOR_STEP_FRACTION_BIT_WIDTH  = 13,
+
+	SCALOR_HFIR_DATA_BUF_LEN = SCALOR_H_FIR_TAP_NUM,
+	
+} BLIT_SCALOR_CONST;
+
+typedef enum _BLIT_SCALOR_FIR_IDX_
+{
+	SCALOR_HORIZON_FIR  = 0,
+	SCALOR_VERTICAL_FIR = 1,
+	
+}BLIT_SCALOR_FIR_IDX;
+
+/* C++ support */
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/celestial/graphics/blit_hw.c linux-linaro-3.4-2012.05-1_cavium/drivers/celestial/graphics/blit_hw.c
